Go to advanced search

by neuralassembly
Mon Sep 16, 2019 2:21 pm
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir

Please read "/etc/lirc/lircd.conf.d/README.conf.d".
by neuralassembly
Mon Jul 08, 2019 1:02 am
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir

I don't know how to solve it.
Large modifications of lirc might be required.
by neuralassembly
Fri Jul 05, 2019 5:58 pm
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir

As written in the error message, install the following packages with apt command.

dh-python libx11-dev python3-dev python3-setuptools

Some additional packages seemed to be required when you are using Raspbian with small packages such as Raspbian Buster Lite.
by neuralassembly
Fri Jun 28, 2019 3:22 pm
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir

Both lirc0 and lirc1 exist when you use lirc with kernel 4.19 and gpio-ir.
Kernel 4.19 became available with apt command in (maybe) March, so there are few documents on that.
by neuralassembly
Fri Jun 28, 2019 11:06 am
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir

I think you are talking about python-lirc package. However, lirc 0.10 installed in Raspbian Buster includes python3 module. Maybe the new module has different API from that of python-lirc. The new API is shown in the following URL. http://www.lirc.org/api-docs/html/group__python__bindings.html Pleas...
by neuralassembly
Fri Jun 28, 2019 10:12 am
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir

I do not use python module for lirc, but when I tried to import lirc from python3, there were no errors. pi@raspberrypi:~ $ python3 Python 3.7.3 (default, Apr 3 2019, 05:39:12) [GCC 8.2.0] on linux Type "help", "copyright", "credits" or "license" for more information. >>> import lirc >>> This would ...
by neuralassembly
Fri Jun 28, 2019 9:28 am
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir

I do not have Raspberry Pi 4 yet.
Moreover, I cannot understand what happens without explanations of phenomenon, error messages, and so on.
by neuralassembly
Wed Jun 26, 2019 3:34 pm
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir

Please follow the steps shown at the top of this thread.
by neuralassembly
Tue Jun 25, 2019 4:26 pm
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: Using LIRC with kernel 4.19.X and gpio-ir

Now this method works also for Raspbian Buster.
by neuralassembly
Tue Jun 11, 2019 7:22 am
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: Using LIRC with kernel 4.19.X and gpio-ir

The error message "ImportError: cannot import name 'database'" shows that your python3 cannot read the following files. build/lirc-0.9.4c/tools/lirc-setup/database.py build/lirc-0.9.4c/debian/lirc/usr/lib/arm-linux-gnueabihf/python3/dist-packages/lirc/database.py The first one is created when execut...
by neuralassembly
Thu Jun 06, 2019 12:48 am
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: Using LIRC with kernel 4.19.X and gpio-ir

The maximum of the total length of the sequence is 500ms. This limitation is determined by the constant IR_MAX_DURATION defined in the kernel https://github.com/raspberrypi/linux/blob/rpi-4.19.y/include/media/rc-core.h . #define IR_MAX_DURATION 500000000 /* 500 ms */ This constant has also existed i...
by neuralassembly
Wed Jun 05, 2019 4:53 pm
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: Using LIRC with kernel 4.19.X and gpio-ir

I created a new issue (https://github.com/raspberrypi/linux/issues/3002) in raspberrypi/linux to set LIRCBUF_SIZE 1024.
by neuralassembly
Wed Jun 05, 2019 2:18 pm
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: Using LIRC with kernel 4.19.X and gpio-ir

I confirmed that the same problem happens also in my environment. More precisely, the maximum number of pulse/space sequence is 256. Actually, the number of sequence should be odd, so the max is 255. The reason might be because the following definition in the linux kernel ( https://github.com/raspbe...
by neuralassembly
Sat Jun 01, 2019 7:12 am
Forum: Troubleshooting
Topic: Help install LIRC
Replies: 5
Views: 1053

Re: Help install LIRC

Please try the solution in the following post.
viewtopic.php?f=28&t=235256
by neuralassembly
Tue May 28, 2019 3:40 am
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

Re: Using LIRC with kernel 4.19.X and gpio-ir

The patch used above ( https://github.com/neuralassembly/raspi/blob/master/lirc-gpio-ir.patch ) works both for lirc_dev and gpio-ir. So, I hope that this patch would be merged into the official deb package (lirc-0.9.4c). The official source of lirc is not managed by github, and its latest release (0...
by neuralassembly
Thu Mar 07, 2019 1:42 pm
Forum: Troubleshooting
Topic: [Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir
Replies: 45
Views: 16682

[Stretch/Buster] Using LIRC with kernel 4.19.X and gpio-ir

Notice : Now this works also for Raspbian Buster. Kernel 4.19 does not include lirc_dev, so it is recommended to use gpio-ir. https://lb.raspberrypi.org/forums/viewtopic.php?f=29&t=224931&start=50 However, the command "irrecord" included in lirc does not work with gpio-ir because the signal from /d...
by neuralassembly
Fri Nov 27, 2015 12:53 pm
Forum: Other projects
Topic: Pi-Top
Replies: 21
Views: 19237

Re: Pi-Top

I investigated the pin assignment of Pi-Top hub, and found that SPI pins seem to be already used.
However, the other pins can be used for, e.g., LED blinking.
by neuralassembly
Fri Oct 02, 2015 9:16 am
Forum: Raspbian
Topic: STICKY: Jessie (now defunct and replaced with Stretch) Q&A
Replies: 396
Views: 210060

Re: Jessie Q&A

When I runs OpenCV program, it crashes with the following message. GdkGLExt-WARNING **: Window system doesn't support OpenGL. The program is very simple one as follows. It seems that imshow function fails. Is this problems caused by OpenCV or GTK+3? ----- import cv2 img = cv2.imread('test.jpg') cv2....
by neuralassembly
Wed Sep 30, 2015 5:24 am
Forum: Raspbian
Topic: STICKY: Jessie (now defunct and replaced with Stretch) Q&A
Replies: 396
Views: 210060

Re: Jessie Q&A

The new Raspbian does not have the directory /usr/share/fonts/truetype/droid. Therefore, I cannot show Japanese characters on UIs with default Raspbian because there is no /usr/share/fonts/truetype/droid/DroidSansJapanese.ttf. Is it possible to add the "droid" fonts in the future release of Raspbian...

Go to advanced search